apt: pkgCache Class Reference

apt 3.3.0 commandline package manager

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
pkgCache Class Reference

## Classes
struct | Dep
struct | State
struct | Flag
struct | Header
struct | Group
| groups architecture depending packages together More...
struct | Package
| contains information for a single unique package More...
struct | ReleaseFile
| stores information about the release files used to generate the cache More...
struct | PackageFile
| stores information about the files used to generate the cache More...
struct | VerFile
| associates a version with a PackageFile More...
struct | DescFile
| associates a description with a Translation file More...
struct | SourceVersion
| information for a single version of a source package More...
struct | Version
| information for a single version of a package More...
struct | Description
| datamember of a linked list of available description for a version More...
struct | DependencyData
| information for a single dependency record More...
struct | Dependency
struct | Provides
| handles virtual packages More...
class | Namespace
class | Iterator
class | GrpIterator
class | PkgIterator
class | SrcVerIterator
class | VerIterator
class | DescIterator
class | DepIterator
class | PrvIterator
class | RlsFileIterator
class | PkgFileIterator
class | VerFileIterator
class | DescFileIterator

## Public Member Functions
virtual bool | ReMap (bool const &Errorchecks=true)
bool | Sync ()
MMap & | GetMap ()
void * | DataEnd ()
map_id_t | Hash (std::string_view S) const
APT_HIDDEN uint32_t | CacheHash ()
GrpIterator | FindGrp (std::string_view Name)
PkgIterator | FindPkg (std::string_view Name)
PkgIterator | FindPkg (std::string_view Name, std::string_view Arch)
std::string_view | ViewString (map_stringitem_t idx) const
constexpr Header & | Head () noexcept
GrpIterator | GrpBegin () noexcept
constexpr GrpIterator | GrpEnd () noexcept
PkgIterator | PkgBegin () noexcept
constexpr PkgIterator | PkgEnd () noexcept
PkgFileIterator | FileBegin () noexcept
constexpr PkgFileIterator | FileEnd () noexcept
RlsFileIterator | RlsFileBegin () noexcept
constexpr RlsFileIterator | RlsFileEnd () noexcept
constexpr bool | MultiArchCache () const noexcept
constexpr char const * | NativeArch () const noexcept
| pkgCache (MMap *Map, bool DoMap=true)

## Static Public Member Functions
static const char * | Priority (unsigned char Priority)
static std::string_view | Priority_NoL10n (unsigned char Prio)
static const char * | CompTypeDeb (unsigned char Comp) APT_PURE
static const char * | CompType (unsigned char Comp) APT_PURE
static const char * | DepType (unsigned char Dep)
static std::string_view | DepType_NoL10n (unsigned char Dep)

## Public Attributes
Header * | HeaderP
Group * | GrpP
Package * | PkgP
VerFile * | VerFileP
DescFile * | DescFileP
ReleaseFile * | RlsFileP
PackageFile * | PkgFileP
SourceVersion * | SrcVerP
Version * | VerP
Description * | DescP
Provides * | ProvideP
Dependency * | DepP
DependencyData * | DepDataP
char * | StrP
void * | reserved [13]
pkgVersioningSystem * | VS

## Protected Member Functions
map_id_t | sHash (std::string_view S) const APT_PURE

## Protected Attributes
std::string | CacheFile
MMap & | Map

The documentation for this class was generated from the following files:

- apt-pkg/pkgcache.h
- apt-pkg/pkgcache.cc